package com.gh.gamecenter.energy.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IAppProvider
import com.gh.gamecenter.energy.HaloApp
import com.gh.gamecenter.energy.R

@Route(path = RouteConsts.provider.app, name = "Application暴露服务")
class AppProviderImpl : IAppProvider {
    override fun init(context: Context?) {
        // Do nothing
    }

    override fun getAppName(): String {
        return HaloApp.getInstance().getString(R.string.app_name)
    }

    override fun getGid(): String {
        return ""
    }

    override fun refreshGid() {
        // Do nothing
    }

    override fun getOaid(): String {
        return ""
    }

    override fun getChannel(): String {
        return ""
    }

    override fun setChannel(channel: String) {
        // Do nothing
    }

    override fun getUserAgent(): String {
        return ""
    }

    override fun getServerUserMark(): String {
        return ""
    }

    override fun getDeviceRamSize(): Long {
        return 0L
    }

    override fun getTemporaryLocalDeviceId(): String {
        return ""
    }

    override fun isUserAcceptPrivacyPolicy(context: Context): Boolean {
        return true
    }
}